curl --request GET \
--url https://api.veryfront.com/account/analytics/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/account/analytics/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/account/analytics/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"total_conversations": 123,
"active_conversations": 123,
"total_messages": 123,
"last_conversation_at": "<string>"
},
"timeframe": {
"from": "<string>",
"to": "<string>",
"granularity": "day",
"timezone": "<string>",
"bucket_count": 123
},
"series": [
{
"bucket_start": "<string>",
"conversations": 123,
"messages": 123
}
],
"statuses": [
{
"status": "<string>",
"count": 123
}
],
"models": [
{
"provider": "<string>",
"model": "<string>",
"count": 123
}
],
"tools": [
{
"name": "<string>",
"count": 123
}
],
"projects": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"project_slug": "<string>",
"count": 123
}
],
"recent_conversations": [
{
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"project_slug": "<string>",
"last_activity_at": "<string>"
}
]
}Returns account-level conversation counts, recency, volume, statuses, model usage, and project breakdowns. Optionally scoped to a single project.
Authorizations
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Query Parameters
Relative timeframe preset.
7d, 30d, 90d IANA timezone for daily bucket boundaries.
Label filters as key or key=value, repeated or comma-separated. Example: ?label=team=platform&label=criticality=high
Optional project UUID or slug to scope analytics to a single project.
Deprecated project ID or slug alias. Use project_reference.
Deprecated camelCase project ID or slug alias. Use project_reference.
Response
Account conversation analytics statistics
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes